Bug 1460348 - manageiq.api_token failing in playbook when using a multi-appliance deployment
manageiq.api_token failing in playbook when using a multi-appliance deployment
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Tim Wade
luke couzens
: ZStream
Depends On: 1459674
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 15:30 EDT by Satoe Imaishi
Modified: 2017-08-02 13:29 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1459674
Environment:
Last Closed: 2017-08-02 13:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-09 15:36:30 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/9503a9a3ac59fa77f3a2cf72e5a9fcc13735bfeb

commit 9503a9a3ac59fa77f3a2cf72e5a9fcc13735bfeb
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue May 30 18:09:58 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 15:32:10 2017 -0400

    Merge pull request #14947 from imtayadeway/api/add-sql-store-to-token-store
    
    Add SQL store option to token store
    (cherry picked from commit ffd89722751ebc3fb0498a24a288b90411eea2ac)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460348

 app/models/session.rb                    |   4 +
 config/brakeman.ignore                   |  24 ++++-
 config/settings/test.yml                 |   2 +
 lib/token_store.rb                       |  14 +--
 lib/token_store/sql_store.rb             |  39 ++++++++
 spec/lib/token_store/sql_store_spec.rb   |  96 +++++++++++++++++++
 spec/models/session_spec.rb              |  34 +++++++
 spec/requests/api/authentication_spec.rb | 156 ++++++++++++++++---------------
 8 files changed, 285 insertions(+), 84 deletions(-)
 create mode 100644 lib/token_store/sql_store.rb
 create mode 100644 spec/lib/token_store/sql_store_spec.rb
Comment 6 luke couzens 2017-07-20 05:00:41 EDT
Verified in 5.8.1.2
Comment 8 errata-xmlrpc 2017-08-02 13:29:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.